Skip to main content
POST
/
trust-centers
/
{slugId}
/
controls
Add Trust Center control
curl --request POST \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/controls \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "controlId": "<string>",
  "categoryIds": [
    "<string>"
  ]
}
'
{
  "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
  "name": "Control name",
  "description": "Control description",
  "categories": [
    {
      "id": "93d69894dd525f806d7e5c48",
      "name": "Category name"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required

Body

application/json
controlId
string
required

ID of the control to add to the Trust Center.

categoryIds
string[]
required

IDs of the categories to add the control to. This cannot be empty.

Minimum array length: 1

Response

200 - application/json

Ok

id
string
required

Unique identifier for the control.

name
string
required

The name of the control, usually a summary of the description.

description
string
required

The description of the control.

categories
object[] | null
required

The Trust Center control categories that the control belongs to.